[BUGFIX] Select suitable distribution version in em
[Packages/TYPO3.CMS.git] / typo3 / sysext / extensionmanager / Classes / Domain / Repository / ExtensionRepository.php
index abd7b7f..b4c61eb 100644 (file)
@@ -252,7 +252,6 @@ class ExtensionRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
         $query->matching(
             $query->logicalAnd(
                 $query->equals('category', \TYPO3\CMS\Extensionmanager\Domain\Model\Extension::DISTRIBUTION_CATEGORY),
-                $query->equals('currentVersion', 1),
                 $query->logicalNot($query->equals('ownerusername', 'typo3v4'))
             )
         );
@@ -275,7 +274,6 @@ class ExtensionRepository extends \TYPO3\CMS\Extbase\Persistence\Repository
         $query->matching(
             $query->logicalAnd(
                 $query->equals('category', \TYPO3\CMS\Extensionmanager\Domain\Model\Extension::DISTRIBUTION_CATEGORY),
-                $query->equals('currentVersion', 1),
                 $query->equals('ownerusername', 'typo3v4')
             )
         );